import QtQuick 2.9
import QtCharts 2.0

Item {
    id: affichageGraphique
    //visible: false
    anchors.fill: parent
    //width: colonnePage.width //onglets.width
    //height: Screen.desktopAvailableHeight * 0.45
    Connections {
        target: Releve
        onMesuresUpdated: {
            courbe.clear()
            var horodatages = []
            var temperatures = []
            var horodatage = new Date()
            for(var i=0; i < Releve.mesures.length; i++)
            {
                //courbe.append(i+1, Releve.mesures[i].temperature)
                horodatage = Releve.mesures[i].datetime
                courbe.append(horodatage.getTime(), Releve.mesures[i].temperature)
                horodatages.push(horodatage.getTime())
                temperatures.push(Releve.mesures[i].temperature)
            }
            /*axeX.min = courbe.at(0).x
            axeX.max = courbe.at(courbe.count-1).x
            axeX.tickCount = axeX.max*/
            horodatage.setTime(Math.min.apply(null, horodatages))
            axeX.min = horodatage
            horodatage.setTime(Math.max.apply(null, horodatages))
            axeX.max = horodatage
            axeX.tickCount = horodatages.length
            axeY.min = Math.min.apply(null, temperatures)
            axeY.max = Math.max.apply(null, temperatures)
        }
        onMoyenneUpdated: {
            courbeMoyenne.clear()
            var horodatage = new Date()
            for(var i=0; i < Releve.mesures.length; i++)
            {
                horodatage = Releve.mesures[i].datetime
                courbeMoyenne.append(horodatage.getTime(), Releve.moyenne)
            }
        }
    }

    ChartView {
        id: graphique
        width: parent.width
        height: parent.height
        anchors.fill: parent
        theme: ChartView.ChartThemeBlueNcs
        animationOptions: ChartView.NoAnimation
        antialiasing: true

        ValueAxis { // températures
            id: axeY
            gridVisible: true
            labelFormat: "%.1f"
            tickCount: 6
        }

        /*ValueAxis {
            id: axeX
            gridVisible: true
            labelFormat: "%d"
        }*/
        DateTimeAxis {
            id: axeX
            gridVisible: true
            format: "<center>dd/MM/yyyy<br> à hh:mm</center>"
            tickCount: 5
        }

        LineSeries {
            id: courbe
            name: "Température"
            axisX: axeX
            axisY: axeY
            pointsVisible: true
            pointLabelsVisible: true
            pointLabelsFormat: "@yPoint °C"
        }

        LineSeries {
            id: courbeMoyenne
            name: "Moyenne"
            color: "#0000FF"
            axisX: axeX
            axisY: axeY
            style: Qt.DashLine
            width: 2.5
        }
    }
}
